| POST | /RestApi/Sitefinity/packaging/archive |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
public class dtos
{
public static class ExportForArchiveConfigurationMessage
{
public ArrayList<String> StructureExportConfiguration = null;
public ArrayList<String> ContentExportConfiguration = null;
public ArrayList<String> getStructureExportConfiguration() { return StructureExportConfiguration; }
public ExportForArchiveConfigurationMessage setStructureExportConfiguration(ArrayList<String> value) { this.StructureExportConfiguration = value; return this; }
public ArrayList<String> getContentExportConfiguration() { return ContentExportConfiguration; }
public ExportForArchiveConfigurationMessage setContentExportConfiguration(ArrayList<String> value) { this.ContentExportConfiguration = value; return this; }
}
}
Java ExportForArchiveConfigurationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/packaging/archive HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{}